/**
 *
 */
package fr.lip6.move.pnml.framework.general;

/**
 * This interface gives methods for accessing PNML file Type.
 *
 * @author ggiffo
 *
 */
public interface PNMLFileRepository {
    /**
     *
     * @param namespace
     *            the namespace
     * @return null if a corresponding pnmlfiletype has not been found.
     */
    PNMLFileType getByNamespace(String namespace);

    /**
     *
     * @param classname
     *            the class name
     * @return null if a corresponding pnmlfiletype has not been found.
     */
    PNMLFileType getByClassName(String classname);
}
